using System;
using System.Collections.Generic;
using System.Threading;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;

namespace SeleniumCalculatorTest
{
    [TestClass]
    public class UnitTest1
    {

        IWebDriver driver = new ChromeDriver();

        [TestInitialize]
        public void TestSetUp()
        {
            driver.Navigate().GoToUrl("https://hehocalculator.azurewebsites.net/");
        }

        [TestMethod]
        public void TestAddMethod()
        {
            Thread.Sleep(3000);
            IWebElement xElement = driver.FindElement(By.Id("x"));
            IWebElement yElement = driver.FindElement(By.Id("y"));

            xElement.Clear();
            xElement.SendKeys("2");
            Thread.Sleep(1000);
            yElement.Clear();
            yElement.SendKeys("4");
            Thread.Sleep(1000);

            IList<IWebElement> buttons = driver.FindElements(By.TagName("Button"));
            buttons[0].Click();
            Thread.Sleep(1000);

            IWebElement resultElement = driver.FindElement(By.Id("result"));
            int expectedValue = 6;
            int actualValue = Int32.Parse(resultElement.Text);
            Assert.AreEqual(expectedValue, actualValue);
            
        }

        [TestCleanup]
        public void TestTearDown()
        {       
            driver.Quit();
        }
    }
}
